cascading.tap.hadoop

## Class Lfs

- java.lang.Object
- - cascading.tap.Tap<org.apache.hadoop.conf.Configuration,org.apache.hadoop.mapred.RecordReader,org.apache.hadoop.mapred.OutputCollector>
  - - cascading.tap.hadoop.Hfs
    - - cascading.tap.hadoop.Lfs

- All Implemented Interfaces:
    FlowElement, ScopedElement, FileType<org.apache.hadoop.conf.Configuration>, Traceable, Serializable

      public class Lfs
      extends Hfs

  Class Lfs is a `Tap` class that provides access to the Local File System via Hadoop.

  Note that using a Lfs `Tap` instance in a `Flow` will force a portion of not the whole Flow to be executed in "local" mode forcing the Flow to execute in the current JVM. Mixing with `Dfs` and other Tap types is possible, providing a means to implement complex file/data management functions.

  Use `Hfs` if you need a Tap instance that inherits the default `FileSystem` used by Hadoop.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cascading.tap.hadoop.Hfs

      `stringPath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lfs(Scheme scheme, String stringPath)` Constructor Lfs creates a new Lfs instance.
    `Lfs(Scheme scheme, String stringPath, SinkMode sinkMode)` Constructor Lfs creates a new Lfs instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.hadoop.fs.FileSystem` | `getFileSystem(org.apache.hadoop.conf.Configuration conf)`
    `protected void` | `setStringPath(String stringPath)`

    - ### Methods inherited from class cascading.tap.hadoop.Hfs

      `applySourceConfInitIdentifiers, createResource, deleteChildResource, deleteChildResource, deleteResource, getBlockSize, getBlockSize, getChildIdentifiers, getChildIdentifiers, getChildIdentifiers, getChildIdentifiers, getCombinedInputSafeMode, getDefaultFileSystem, getDefaultFileSystemURIScheme, getFullIdentifier, getIdentifier, getLocalModeScheme, getModifiedTime, getPath, getReplication, getReplication, getSize, getSize, getTempPath, getURIScheme, getUseCombinedInput, isDirectory, isDirectory, makeTemporaryPathDirString, makeURIScheme, openForRead, openForWrite, resetFileStatuses, resourceExists, setUriScheme, sinkConfInit, sourceConfInit, sourceConfInitAddInputPath, sourceConfInitComplete, verifyNoDuplicates`

    - ### Methods inherited from class cascading.tap.Tap

      `commitResource, createResource, deleteResource, equals, flowConfInit, getConfigDef, getFullIdentifier, getModifiedTime, getNodeConfigDef, getScheme, getSinkFields, getSinkMode, getSourceFields, getStepConfigDef, getTrace, hasConfigDef, hashCode, hasNodeConfigDef, hasStepConfigDef, id, isKeep, isReplace, isSink, isSource, isTemporary, isUpdate, openForRead, openForWrite, outgoingScopeFor, prepareResourceForRead, prepareResourceForWrite, presentSinkFields, presentSourceFields, resolveIncomingOperationArgumentFields, resolveIncomingOperationPassThroughFields, resourceExists, retrieveSinkFields, retrieveSourceFields, rollbackResource, setScheme, taps, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Lfs

          @ConstructorProperties(value={"scheme","stringPath"})
          public Lfs(Scheme scheme,
                                        String stringPath)

      Constructor Lfs creates a new Lfs instance.
      Parameters:
        `scheme` - of type Scheme
        `stringPath` - of type String

    - #### Lfs

          @ConstructorProperties(value={"scheme","stringPath","sinkMode"})
          public Lfs(Scheme scheme,
                                        String stringPath,
                                        SinkMode sinkMode)

      Constructor Lfs creates a new Lfs instance.
      Parameters:
        `scheme` - of type Scheme
        `stringPath` - of type String
        `sinkMode` - of type SinkMode

  - ### Method Detail

    - #### setStringPath

          protected void setStringPath(String stringPath)

      Overrides:
        `setStringPath` in class `Hfs`

    - #### getFileSystem

          protected org.apache.hadoop.fs.FileSystem getFileSystem(org.apache.hadoop.conf.Configuration conf)

      Overrides:
        `getFileSystem` in class `Hfs`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.